WPGTextDataContext Class Reference

`#include <WPG2Parser.h>`

## Public Member Functions
| WPGTextDataContext ()

## Public Attributes
double | x1
double | y1
double | x2
double | y2
unsigned short | flags
unsigned char | vertAlign
unsigned char | horAlign
double | baseLineAngle

## Constructor & Destructor Documentation

## ◆ WPGTextDataContext()

WPGTextDataContext::WPGTextDataContext | ( |  | ) |
| inline

## Member Data Documentation

## ◆ baseLineAngle

double WPGTextDataContext::baseLineAngle

Referenced by WPG2Parser::handleTextBlock(), WPG2Parser::handleTextLine(), and WPGTextDataContext().

## ◆ flags

unsigned short WPGTextDataContext::flags

Referenced by WPG2Parser::handleTextBlock(), WPG2Parser::handleTextLine(), and WPGTextDataContext().

## ◆ horAlign

unsigned char WPGTextDataContext::horAlign

Referenced by WPG2Parser::handleTextBlock(), WPG2Parser::handleTextLine(), and WPGTextDataContext().

## ◆ vertAlign

unsigned char WPGTextDataContext::vertAlign

Referenced by WPG2Parser::handleTextBlock(), WPG2Parser::handleTextLine(), and WPGTextDataContext().

## ◆ x1

double WPGTextDataContext::x1

Referenced by WPG2Parser::handleTextBlock(), WPG2Parser::handleTextData(), WPG2Parser::handleTextLine(), and WPGTextDataContext().

## ◆ x2

double WPGTextDataContext::x2

Referenced by WPG2Parser::handleTextBlock(), WPG2Parser::handleTextData(), WPG2Parser::handleTextLine(), and WPGTextDataContext().

## ◆ y1

double WPGTextDataContext::y1

Referenced by WPG2Parser::handleTextBlock(), WPG2Parser::handleTextData(), WPG2Parser::handleTextLine(), and WPGTextDataContext().

## ◆ y2

double WPGTextDataContext::y2

Referenced by WPG2Parser::handleTextBlock(), WPG2Parser::handleTextData(), WPG2Parser::handleTextLine(), and WPGTextDataContext().

The documentation for this class was generated from the following file:

- WPG2Parser.h